Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.util
Class CompatibilityHints

    java.lang.Object
      net.fortuna.ical4j.util.CompatibilityHints

    public final class CompatibilityHints

extends Object

A set of keys used to enable compatibility features.

Author:
  Ben Fortuna

Field Summary
`static String` | `KEY_NOTES_COMPATIBILITY` A system property key used to enable compatibility with Lotus Notes-generated iCalendar files.
`static String` | `KEY_OUTLOOK_COMPATIBILITY` A system property key used to enable compatibility with Outlook/Exchange-generated iCalendar files.
`static String` | `KEY_RELAXED_PARSING` A system property key to enable relaxed parsing.
`static String` | `KEY_RELAXED_UNFOLDING` A system property key to enable relaxed unfolding.
`static String` | `KEY_RELAXED_VALIDATION` A system property key to enable relaxed validation.

Method Summary
`static boolean` | `isHintEnabled(String key)`
`static void` | `setHintEnabled(String key, boolean enabled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY_RELAXED_UNFOLDING

    public static final String KEY_RELAXED_UNFOLDING

  A system property key to enable relaxed unfolding. Relaxed unfolding is enabled by setting this system property to "true".

  See Also:
    Constant Field Values

### KEY_RELAXED_PARSING

    public static final String KEY_RELAXED_PARSING

  A system property key to enable relaxed parsing. Relaxed parsing is enabled by setting this system property to "true".

  See Also:
    Constant Field Values

### KEY_RELAXED_VALIDATION

    public static final String KEY_RELAXED_VALIDATION

  A system property key to enable relaxed validation. Relaxed validation disables validation of certain conformance rules that many iCalendar implementations do not conform to. Relaxed validation is enabled by setting this system property to "true".

  See Also:
    Constant Field Values

### KEY_OUTLOOK_COMPATIBILITY

    public static final String KEY_OUTLOOK_COMPATIBILITY

  A system property key used to enable compatibility with Outlook/Exchange-generated iCalendar files. Outlook compatibility is enabled by setting this system property to "true".

  See Also:
    Constant Field Values

### KEY_NOTES_COMPATIBILITY

    public static final String KEY_NOTES_COMPATIBILITY

  A system property key used to enable compatibility with Lotus Notes-generated iCalendar files. Notes compatibility is enabled by setting this system property to "true".

  See Also:
    Constant Field Values

Method Detail

### setHintEnabled

    public static void setHintEnabled(String key,
                                      boolean enabled)

  Parameters:
    `key` -
    `value` -

### isHintEnabled

    public static boolean isHintEnabled(String key)

  Parameters:
    `key` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.